Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-1848

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2004-1848
Last Modified 05 Sep 2008 04:42:30
Published 31 Dec 2004 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-1848

Summary

Ipswitch WS_FTP Server 4.0.2 allows remote attackers to cause a denial of service (disk consumption) and bypass file size restrictions via a REST command with a large size argument, followed by a STOR of a smaller file.

Vulnerable Systems

Application

  • Ipswitch Ws Ftp Server 1.0.1

  • Ipswitch Ws Ftp Server 1.0.2

  • Ipswitch Ws Ftp Server 1.0.3

  • Ipswitch Ws Ftp Server 1.0.4

  • Ipswitch Ws Ftp Server 1.0.5

  • Ipswitch Ws Ftp Server 2.0

  • Ipswitch Ws Ftp Server 2.0.1

  • Ipswitch Ws Ftp Server 2.0.2

  • Ipswitch Ws Ftp Server 2.0.3

  • Ipswitch Ws Ftp Server 2.0.4

  • Ipswitch Ws Ftp Server 3.0

  • Ipswitch Ws Ftp Server 3.0 1

  • Ipswitch Ws Ftp Server 3.1

  • Ipswitch Ws Ftp Server 3.1.1

  • Ipswitch Ws Ftp Server 3.1.2

  • Ipswitch Ws Ftp Server 3.1.3

  • Ipswitch Ws Ftp Server 3.4

  • Ipswitch Ws Ftp Server 4.0

  • Ipswitch Ws Ftp Server 4.0.2

  • Ipswitch Ws Ftp Server 4.01


References

SECUNIA - 11206

XF - wsftp-rest-stor-dos(41831)

XF - wsftp-rest-dos(15560)

BID - 9953

OSVDB - 4542

SECTRACK - 1009529

BUGTRAQ - 20040323 How to crash a harddisk - the Ipswitch WS_FTP Server way


Last Updated: 27 May 2016 10:39:12